<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	- Copyright IBM Corporation 2005,2012. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>
<%@ page contentType="text/html;charset=UTF-8" %>

<%@ taglib uri="/WEB-INF/tld/WCLTagLib.tld" prefix="wcl" %>

<%@ page import="com.ibm.wbiserver.cbebrowser.CBEBrowserNlsUtilities"%>
<%@ page import="com.ibm.wbiserver.cbebrowser.ui.ICBEBrowserConstants"%>
<%@ page import="com.ibm.wbiserver.cbebrowser.ui.CBEBrowserWclUtilities"%>
<%@ page import="com.ibm.wbiserver.cbebrowser.utils.FeatureChecker"%>

<!-- Obtain translated strings up front -->
<%
java.util.Locale locale = request.getLocale();
String contextPath = request.getContextPath();
String useractionEventDataString = CBEBrowserNlsUtilities.getNonMessageString( locale, "USERACTION.EVENTDATA" );
%>

<!-- Determine if the event viewer table is currently present (prior to page being processed). -->
<%
com.ibm.psw.wcl.core.WclFacade facade = (com.ibm.psw.wcl.core.WclFacade)session.getAttribute( ICBEBrowserConstants.SESSATTR_WCL_FACADE );
com.ibm.psw.wcl.core.AContext ac = facade.createTriggerContext( request, pageContext.getServletContext() );
com.ibm.psw.wcl.components.table.WTable evTable = (com.ibm.psw.wcl.components.table.WTable)CBEBrowserWclUtilities.getJspWclComponent( ac, ICBEBrowserConstants.PAGENAME_VIEWALLEVENT, ICBEBrowserConstants.TABLE_VIEWALL_EVENTS );
%>

<!-- See if we need to reload the parent frame. -->
<%
boolean reloadParent = false;
Boolean reloadParentObj = (Boolean)session.getAttribute( ICBEBrowserConstants.SESSATTR_VIEWRELOADPARENT );
if ( reloadParentObj != null )
{
    session.setAttribute( ICBEBrowserConstants.SESSATTR_VIEWRELOADPARENT, Boolean.FALSE );
    session.removeAttribute( ICBEBrowserConstants.SESSATTR_VIEWRELOADPARENT );
    reloadParent = true;
}
%>

<%
if ( reloadParent == true )
{
%>
<SCRIPT type="text/javascript" src="<%=contextPath%>/resources/js/CBEBrowserReloadFrames.js" ></SCRIPT>
<SCRIPT language="javascript">
reloadSiblingFrame("<%=ICBEBrowserConstants.FRAMENAME_VIEWALLEVENTDATATABLE%>","<%=request.getContextPath()%><%=ICBEBrowserConstants.JSPNAME_VIEWALLEVENTDATA%>");
</SCRIPT>
<%
}
%>


<!--
** The View All Event Table Page: triggered by the View All Events hyperlink in the navigator.
**
** This is the view page that has variable contents depending on the view selected.
** This view jsp is driven by the CBEBrowserEventsServlet modeller and controller.
-->

<wcl:Foundation
  objectScope="session"
  pageName="<%=ICBEBrowserConstants.PAGENAME_VIEWALLEVENT%>"
  wclFacadeScope="session"
  wclFacadeScopeId="<%=ICBEBrowserConstants.SESSATTR_WCL_FACADE%>">
  
  <HTML>

    <HEAD>
    </HEAD>

    <BODY dir=LTR>
                                              
      <wcl:WTable
        objectScopeId="<%=ICBEBrowserConstants.TABLE_VIEWALL_EVENTS%>"
        id="<%=ICBEBrowserConstants.TABLE_VIEWALL_EVENTS%>"
        tableModelScope="session"
        tableModelScopeId="<%=ICBEBrowserConstants.SESSATTR_VIEWALLMODEL%>"
        saveModelInComponent="false"
        selectionMode="single"
        rowsPerPage="10"
        componentOrientation="ltr"
        >
        
        <wcl:StyleInfo
          className="com.ibm.psw.wcl.skins.base.BaseTableStyleInfo">
          <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_TABLE_DATA%>" attribute="font-size" value="70%"/>
          <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_TABLE_SELECTED_DATA%>" attribute="font-size" value="70%"/>
          <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_TABLE_DATA_NOGRID%>" attribute="font-size" value="70%"/>
          <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_TABLE_SELECTED_DATA_NOGRID%>" attribute="font-size" value="70%"/>
        </wcl:StyleInfo>
                
        <wcl:ColumnCustomizer
          viewColumn="1"
          cellScope="session"
          cellScopeId="<%=ICBEBrowserConstants.SESSATTR_HYPERCELL_ALL%>"
          cellRendererClass="com.ibm.wbiserver.cbebrowser.ui.table.CBEBrowserHyperlinkCellRenderer"
          rendererInfoScope="session"
          rendererInfoScopeId="<%=ICBEBrowserConstants.SESSATTR_HTMLRENDINFO%>"          
        />

        <wcl:ColumnCustomizer
          viewColumn="3"
          isEnabled="false"
        />
        
         <wcl:ColumnCustomizer
          viewColumn="6"
          cellScope="session"
          cellScopeId="<%=ICBEBrowserConstants.SESSATTR_HYPERCELL_ALL%>"
          cellRendererClass="com.ibm.wbiserver.cbebrowser.ui.table.CBEBrowserFEMlinkRenderer"
          rendererInfoScope="session"
          rendererInfoScopeId="<%=ICBEBrowserConstants.SESSATTR_HTMLRENDINFO%>"   
          isVisible='<%=FeatureChecker.isWPSEnabled()?"true":"false"%>'     
         />

        <wcl:ColumnCustomizer
          viewColumn="7"
          cellScope="session"
          cellScopeId="<%=ICBEBrowserConstants.SESSATTR_HYPERCELL_ALL%>"
          cellRendererClass="com.ibm.wbiserver.cbebrowser.ui.table.CBEBrowserBPClinkRenderer"
          rendererInfoScope="session"
          rendererInfoScopeId="<%=ICBEBrowserConstants.SESSATTR_HTMLRENDINFO%>"
          isVisible='<%=FeatureChecker.isBPCEnabled()?"true":"false"%>'

        />

        <wcl:ColumnCustomizer
          viewColumn="11"
          isEnabled="false"
        />
          
        <wcl:ColumnCustomizer
          viewColumn="12"
          isVisible="false"
        />

        <wcl:UserAction
          actionName="<%=useractionEventDataString%>"
          actionValue="<%=ICBEBrowserConstants.USERACT_EVENTDATA%>"
          objectScope="session"
          objectScopeId="<%=ICBEBrowserConstants.SESSATTR_VIEWALLUSERACTIONLIST%>"
        />
                                  
      </wcl:WTable>
        
    </BODY>

  </HTML>

<!-- Perform post-page processing -->  
<%
if ( evTable == null )
{
    evTable = (com.ibm.psw.wcl.components.table.WTable)CBEBrowserWclUtilities.getJspWclComponent( ac, ICBEBrowserConstants.PAGENAME_VIEWALLEVENT, ICBEBrowserConstants.TABLE_VIEWALL_EVENTS );
    if ( evTable != null ) evTable.setUserActionVisible( ICBEBrowserConstants.USERACT_EVENTDATA, false );
}
%>

</wcl:Foundation>
 
